Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.impl
Class ModelQuerySetImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.gmt.modisco.infra.query.impl.ModelQuerySetImpl

All Implemented Interfaces:
  ModelQuerySet

    public class ModelQuerySetImpl

extends EObjectImpl
implements ModelQuerySet

An implementation of the model object 'Model Query Set'.

The following features are implemented:

- `Associated Metamodels`
- `Name`
- `Is Editable`
- `Description`
- `Queries`

Method Summary
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` | `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` | `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`` | `getAssociatedMetamodels()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getName()`
`` | `getQueries()`
`ModelQuery` | `getQuery(java.lang.String name)`
`boolean` | `isIsEditable()`
`void` | `setDescription(java.lang.String newDescription)`
`void` | `setIsEditable(boolean newIsEditable)`
`void` | `setName(java.lang.String newName)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getAssociatedMetamodels

    public  getAssociatedMetamodels()

  Specified by:
    `getAssociatedMetamodels` in interface `ModelQuerySet`
  Returns:
    the value of the 'Associated Metamodels' reference list.
  See Also:
    `QueryPackage.getModelQuerySet_AssociatedMetamodels()`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ModelQuerySet`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `ModelQuerySet.setName(String)`, `QueryPackage.getModelQuerySet_Name()`

### setName

    public void setName(java.lang.String newName)

  Specified by:
    `setName` in interface `ModelQuerySet`
  Parameters:
    `newName` - the new value of the 'Name' attribute.
  See Also:
    `ModelQuerySet.getName()`

### isIsEditable

    public boolean isIsEditable()

  Specified by:
    `isIsEditable` in interface `ModelQuerySet`
  Returns:
    the value of the 'Is Editable' attribute.
  See Also:
    `ModelQuerySet.setIsEditable(boolean)`, `QueryPackage.getModelQuerySet_IsEditable()`

### setIsEditable

    public void setIsEditable(boolean newIsEditable)

  Specified by:
    `setIsEditable` in interface `ModelQuerySet`
  Parameters:
    `newIsEditable` - the new value of the 'Is Editable' attribute.
  See Also:
    `ModelQuerySet.isIsEditable()`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `ModelQuerySet`
  Returns:
    the value of the 'Description' attribute.
  See Also:
    `ModelQuerySet.setDescription(String)`, `QueryPackage.getModelQuerySet_Description()`

### setDescription

    public void setDescription(java.lang.String newDescription)

  Specified by:
    `setDescription` in interface `ModelQuerySet`
  Parameters:
    `newDescription` - the new value of the 'Description' attribute.
  See Also:
    `ModelQuerySet.getDescription()`

### getQueries

    public  getQueries()

  Specified by:
    `getQueries` in interface `ModelQuerySet`
  Returns:
    the value of the 'Queries' containment reference list.
  See Also:
    `QueryPackage.getModelQuerySet_Queries()`, `ModelQuery.getModelQuerySet()`

### getQuery

    public ModelQuery getQuery(java.lang.String name)

  Specified by:
    `getQuery` in interface `ModelQuerySet`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD